## konsole 14.12.3

=== debian/changelog ===
konsole (4:14.12.3-0ubuntu2) vivid; urgency=medium

  * Add upstream_control-space.diff to fix emacs use

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2015 14:30:11 +0100

konsole (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:19:42 -0700

konsole (4:14.12.2-0ubuntu2) vivid; urgency=medium

  * Add upstream_control-space.diff to fix emacs use

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Mar 2015 13:43:47 +0100

konsole (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:35:24 -0800

konsole (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:39:57 +0100

konsole (4:14.11.97-0ubuntu2) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream RC release
  * Merge with Debian, no changes
  * Update build-depends for KF5 version

  [ Harald Sitter ]
  * Update lintian overrides
  * Do not recommend kdelibs5-dbg (it's a kde4 package)
  * Complete build depends list
  * Use wildcard in install file, we only have one binary package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 18:24:46 +0100

konsole (4:4.14.2-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Harald Sitter ]
  * Split kpart into its own package
    + With konsole5 on the horizon we need to enable the installation of
      the konsole4 kpart alongside the konsole5 package to ensure that
      4.x applications relying on the kpart still have access to it.
    + New package konsole4-kpart
    + konsole depends binary:Version of konsole4-kpart
    + konsole4-kpart contains libkonsolepart.so and libkonsoleprivate.so
      along with the relevant kpart desktop file.
      All other files remain in konsole package.
    + konsole4-kpart breaks and replaces old versions of konsole
    + Once the konsole frameworks 5 port gets released this source should then
      be renamed to konsole4 and loose the konsole package (i.e. only produce
      konsole4-kpart)

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:53:49 -0700
