## konsole 15.08.2

=== debian/changelog ===
konsole (4:15.08.2-0ubuntu2) wily; urgency=medium

  * Recommend kde-baseapps-bin for keditbookmarks

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Oct 2015 17:03:25 +0100

konsole (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:38:42 +0100

konsole (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:14:09 +0100

konsole (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:33:35 +0100

konsole (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Non-maintainer upload.
  * Add rb123881_export_history_scroll.patch, fixes an FTBFS against
    latest GCC 5.

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Aug 2015 22:23:53 +0200

konsole (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:15:37 +0200
