=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qtscript5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/konsole.git/
@@ -46,6 +46,7 @@
 Provides: x-terminal-emulator
 Conflicts: konsole5
 Replaces: konsole5
+Recommends: kde-baseapps-bin
 Description: X terminal emulator
  Konsole is a terminal emulator built on the KDE Platform. It can contain
  multiple terminal sessions inside one window using detachable tabs.
