=== doc/manual/CMakeLists.txt ===
########### install files ###############

KDOCTOOLS_CREATE_HANDBOOK(index.docbook
                     INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                     SUBDIR konsole)
