=== debian/changelog ===
konsole (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:40:15 -0700

konsole (4:15.12.1-1ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Merged with Debian 

  [ Scarlett Clark ]
  * Fix copyright file with a brief para stating no copyright claim
    in public-domain entry to make lintain happy. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:58:11 +0100

konsole (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.0).
  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:59 +0100

konsole (4:15.08.3-1) unstable; urgency=medium

  [ Felix Geyer ]
  * Remove dependency on konsole4-kpart since the rdeps have been fixed.
    (Closes: #793746)

  [ Maximiliano Curia ]
  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:40:02 +0100

konsole (4:15.08.2-1) unstable; urgency=medium

  * New upstream release (15.08.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 Oct 2015 08:07:03 +0200

konsole (4:15.08.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop restore_movable_tabs.diff, applied upstream.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 17 Sep 2015 18:09:26 +0200

konsole (4:15.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix tabs not being movable using the mouse.
    - Cherry-pick upstream fix in restore_movable_tabs.diff

 -- Felix Geyer <fgeyer@debian.org>  Sat, 05 Sep 2015 10:05:51 +0200

konsole (4:15.04.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 26 Jul 2015 22:19:27 -0300

konsole (4:15.04.3-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * Remove upstream patch: upstream_control-space.diff
  * New upstream release (15.04.2).
  * New upstream release (15.04.3).
  * Bump pkg-kde-tools's version requirement to 0.15.16~, as we need
    features from it.
  * Make konsole depend on konsole4-kpart. This ensures a smooth upgrade
    for rdeps using konsole4's kpart. We will switch the rdeps later on
    and we can drop this dependency once all the rdeps are updated or
    whenever they are ported to KF5.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Eshat cakar from Uploaders at his own request. Thanks Eshat
    for your work!
  * Remove references to packages never shipped in Debian.
  * Improve konsole-kpart description.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 24 Jul 2015 19:04:35 -0300

konsole (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:23 +0200

konsole (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 13:13:00 +0100
