## konsole 16.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 project(Konsole)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "15")
+set (KDE_APPLICATIONS_VERSION_MAJOR "16")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
+set (KDE_APPLICATIONS_VERSION_MICRO "0")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 # minimal requirements
@@ -12,12 +12,12 @@
 set (QT_MIN_VERSION "5.2.0")
 set (KF5_MIN_VERSION "5.6.0")
 
-find_package(ECM 1.2.0 REQUIRED NO_MODULE)
+find_package(ECM 1.6.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMOptionalAddSubdirectory)
 include(ECMInstallIcons)
 include(ECMSetupVersion)
@@ -39,10 +39,16 @@
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
     Bookmarks Completion Config ConfigWidgets
-    CoreAddons DocTools GuiAddons I18n IconThemes
-    Init KDELibs4Support KIO Notifications NotifyConfig
+    CoreAddons Crash GuiAddons DBusAddons
+    I18n IconThemes Init KIO Notifications NotifyConfig
     Parts Pty Service TextWidgets WidgetsAddons
-    WindowSystem XmlGui
+    WindowSystem XmlGui DBusAddons
+)
+
+find_package(KF5DocTools ${KF5_MIN_VERSION})
+set_package_properties(KF5DocTools PROPERTIES DESCRIPTION 
+    "Tools to generate documentation"
+    TYPE OPTIONAL
 )
 
 find_package(X11)
@@ -62,13 +68,18 @@
   -Wno-deprecated-declarations
 )
 
-#TODO: this is temporarily disabled until it has been ported to Qt5
-add_definitions(-DQT_NO_ACCESSIBILITY)
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
 
 add_subdirectory( src )
 add_subdirectory( data )
 add_subdirectory( desktop )
-add_subdirectory( doc/manual )
+if (KF5DocTools_FOUND)
+    add_subdirectory( doc/manual )
+endif()
+
+### -DKONSOLE_BUILD_FONTEMBEDDER=TRUE or -DKONSOLE_GENERATE_LINEFONT=TRUE
+if(KONSOLE_BUILD_FONTEMBEDDER OR KONSOLE_GENERATE_LINEFONT)
+    add_subdirectory( tools )
+endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
