=== data/keyboard-layouts/CMakeLists.txt ===
install( FILES
         default.keytab
         linux.keytab
         solaris.keytab
         DESTINATION
         ${KDE_INSTALL_DATADIR}/konsole )
