=== debian/changelog ===
konsole (4:16.12.0-4) unstable; urgency=medium

  * Add patch: Update-release-date-scripting-and-command-line-help.patch.
    Cherry-Picked from "Update release/date, scripting and command line
    help" (792eda5).
    Update manpage. KDE#373905
  * Add patch: Add-check-for-valid-container-possible-crash-fix.patch.
    Cherry-picked from "Add check for valid container (possible crash fix)"
    (a2b6a81)
    Related to KDE#375540
  * Add patch: Correct-ANSI-string-terminator.patch.
    Cherry-picked from "Correct ANSI string terminator" (7a41b73)
    Fixes Allow-ANSI-string-terminator-to-work.patch, \e is 033 which is 27
    decimal.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 May 2017 15:08:52 +0200

konsole (4:16.12.0-3) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 30 Mar 2017 17:33:10 +0200

konsole (4:16.12.0-2) experimental; urgency=medium

  * Add new upstream patch:
    upstream_render_text_at_primary_fonts_baseline.patch (Closes: 858584)
  * Add upstream patch: Add-nofork-as-compatibility-alias-for-separate.patch
  * Add upstream patch: Fix-build.patch
  * Add upstream patch: TerminalDisplay-Abort-painting-invalid-rect.patch
  * Add upstream patch:
    Screen-Fix-potential-crash-when-ExtendedCharTable-tries-t.patch
  * Add upstream patch: Handle-surrogate-utf16-characters.patch
  * Add upstream patch: Fix-word-boundaries-with-combining-characters.patch
  * Add upstream patch:
    Don-t-include-newlines-in-selection-if-trimming-is-on.patch
  * Add upstream patch: Limit-ourselves-to-3-combining-characters.patch
  * Add upstream patch: Allow-ANSI-string-terminator-to-work.patch
  * Add upstream patch: Fix-opening-of-new-tabs-with-multiple-processes.patch

 -- Maximiliano Curia <maxy@debian.org>  Mon, 27 Mar 2017 14:17:37 +0200

konsole (4:16.12.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.12.0) (Closes: 845578, 844380)
  * Add new patch: Pre-process-the-e-custom-command-argument.patch.
    Thanks to Ben Longbons for reporting (Closes: 848162)

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Dec 2016 18:48:09 +0100

konsole (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:15:25 +0100

konsole (4:16.08.2-2) unstable; urgency=medium

  * Add upstream patch: Fix-reparsing-of-command-line-arguments.patch
    (Closes: 841502)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Nov 2016 09:02:34 +0100

konsole (4:16.08.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Drop patch: debian-T-addition.diff, applied upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 09:25:09 +0200

konsole (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 21:43:17 +0200

konsole (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Hacky use of xephyr
  * Ignore XDG_RUNTIME_DIR not set stderr messages running the tests
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update testsuite
  * Update testsuite dependencies
  * Add new kdeinit lintian-override

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:50:22 +0200
