=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	:
 
 override_dh_strip:
-	$(overridden_command) --ddeb-migration='konsole-dbg (<= 4:15.12.1-1~~)'
+	$(overridden_command) --dbgsym-migration='konsole-dbg (<= 4:15.12.1-1~~)'
