=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, xserver-xephyr,
         kinit, plasma-framework, libgl1-mesa-dri
Restrictions: build-needed, allow-stderr
